Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616653 - Button → keycode configurations can cause server hangs
Button → keycode configurations can cause server hangs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-wacom (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Hutterer
desktop-bugs@redhat.com
: RHELNAK, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 23:54 EDT by Peter Hutterer
Modified: 2010-11-10 16:57 EST (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-wacom-0.10.5-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:57:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2010-07-20 23:54:06 EDT
Description of problem:
If a button is configured to send key events, an allocation in the signal handler may cause a server hang.

Version-Release number of selected component (if applicable):
xorg-x11-drv-wacom-0.10.5-5.el6

How reproducible:
Configure a button to send key strokes, execute button action repeatedly until the server hangs.


Steps to Reproduce:
1. xsetwacom --set "Wacom device name" Button1 "key a b c"
2. Click button 1 on the device
3. repeat 2 until hang
  
Actual results:
The driver calls XkbGetCoreMap() during wcmEmitKeysym(). This function calls malloc, but we're in the signal handler. malloc() during the signal handler may hang the machine.
Comment 2 RHEL Product and Program Management 2010-07-21 00:18:12 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Peter Hutterer 2010-07-28 01:53:51 EDT
MODIFIED 

xorg-x11-drv-wacom-0.10.5-6.el6 is available in brew
Comment 8 Máirín Duffy 2010-08-31 15:04:16 EDT
I set the eraser button to output 'abc' and tapped it repeatedly in gedit. Based on the character count I've tapped over 600 times, no crash.

kernel-2.6.32-63.el6.x86_64
xorg-x11-drv-wacom-0.10.5-6.el6.x86_64
wacomexpresskeys-0.4.2-3.el6.x86_64
xorg-x11-server-Xorg-1.7.7-26.el6.x86_64

I will note I tried to set my pointer and eraser back after this and they still print out abc instead of left click. I tried

xsetwacom set "Wacom Serial Tablet PC Pen Tablet/Digitizer" Button1 "button 1"

and

xsetwacom set "Wacom Serial Tablet PC Pen Tablet/Digitizer" Button1 1
Comment 9 Andrew Ross 2010-08-31 19:48:35 EDT
Thanks Máirín.
Comment 10 releng-rhel@redhat.com 2010-11-10 16:57:08 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.